Межсайтовый скриптинг и раскрытие данных в EasyPHPCalendar

Дата публикации:
18.04.2005
Дата изменения:
16.10.2006
Всего просмотров:
810
Опасность:
Низкая
Наличие исправления:
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Воздействие:
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Уязвимые версии: EasyPHPCalendar

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение и получить данные об установочной директории приложения на сервере.

Уязвимость существует при обработке входных данных в параметре 'yr' сценария 'index.php'. Удаленный пользователю может с помощью специально сформированного URL выполнить произвольный HTML сценарий в браузере жертвы в контексте безопасности уязвимого сайта. Пример:

http://[target]/index.php?mo=04&yr=[XSS]

Существует ошибка при обработке некорректных данных в параметре ev сценария 'popup.php'. Удаленный пользователь может с помощью специально сформированного URL получить данные об установочной директории приложения на сервере. Приме:

http://[target]/functions/popup.php?ev=f00b4r&
readFile0&readSQL=2&showCat=&oc=2

URL производителя: www.easilysimplecalendar.com

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA